aboutsummaryrefslogtreecommitdiffstats
path: root/main/postgresql/postgresql.pre-upgrade
blob: 6116252c19388f44aeb6debb394d738582843236 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
#!/bin/sh

new="$1"
old="$2"

pgver=${new%.*}
compare=$(apk version -t "$old" $pgver)

# check if we upgrade from earlier than $pgver and if it is running
if [ "$compare" != "<" ] || ! /etc/init.d/postgresql --quiet status; then
	exit 0
fi

if [ -f /etc/conf.d/postgresql ]; then
	. /etc/conf.d/postgresql
fi

cat <<EOF
* You are upgrading to postgres $pgver wich is not compatible with the running
* See: http://www.postgresql.org/docs/$pgver/static/upgrading.html
*
* The corresponding steps for Alpine Linux is:
*
*  pg_dumpall -U ${PGUSER:-postgres} > dumpfile
*  /etc/init.d/postgresql stop
*  apk add -u postgresql
*  /etc/init.d/postgresql setup
*  /etc/init.d/postgresql start
*  psql -U ${PGUSER:-postgres} -f dumpfile
*
EOF
exit 1